Bug 130309 - IRiver mass storage not consistently handled
Summary: IRiver mass storage not consistently handled
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-18 23:05 UTC by Gérard Milmeister
Modified: 2014-03-17 02:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 16:14:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gérard Milmeister 2004-08-18 23:05:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803 Galeon/1.3.17

Description of problem:
I have made the following entry to /etc/updfstab.conf.default:

device iriver {
    partition 1
    symlink true
    match   hd MK2004GAL
}

to add the IRiver H320 MP3 player (NB: add this too).

When I plug it in I get the following in /var/log/messages:

Aug 19 00:52:53 scriabin kernel: usb 1-4.4: new high speed USB device
using address 29
Aug 19 00:52:53 scriabin kernel: scsi19 : SCSI emulation for USB Mass
Storage devices
Aug 19 00:52:53 scriabin kernel:   Vendor: TOSHIBA   Model: MK2004GAL
        Rev: JC10
Aug 19 00:52:53 scriabin kernel:   Type:   Direct-Access             
        ANSI SCSI revision: 02
Aug 19 00:52:53 scriabin kernel: SCSI device sdf: 39063024 512-byte
hdwr sectors (20000 MB)
Aug 19 00:52:53 scriabin kernel: sdf: assuming drive cache: write through
Aug 19 00:52:53 scriabin kernel:  sdf: sdf1
Aug 19 00:52:53 scriabin kernel: Attached scsi disk sdf at scsi19,
channel 0, id 0, lun 0
Aug 19 00:52:53 scriabin kernel: Attached scsi generic sg5 at scsi19,
channel 0, id 0, lun 0,  type 0
Aug 19 00:52:53 scriabin scsi.agent[24265]: disk at
/devices/pci0000:00/0000:00:1d.7/usb1/1-4/1-4.4/1-4.4:2.0/host19/19:0:0:0
Aug 19 00:52:55 scriabin kernel: Device not ready.  Make sure there is
a disc in the drive.
Aug 19 00:52:56 scriabin last message repeated 7 times
Aug 19 00:52:56 scriabin kernel: updfstab: Using deprecated /dev/sg
mechanism instead of SG_IO on the actual device

Now, updfstab is always executed, however it sometimes seems to have
no effect, i.e., /etc/fstab is not updated. When I execute updfstab
manually, /etc/fstab is however correctly changed with the following line:

/dev/iriver             /mnt/iriver             auto   
noauto,owner,kudzu 0 0

Sometimes it works, sometimes it doesn't.
The second problem is that sometimes an icon appears in nautilus,
sometimes it doesn't.

Furthermore I had to change the permissions of /dev/sdf1 manually.

Version-Release number of selected component (if applicable):
kudzu-1.1.68-1

How reproducible:
Sometimes

Steps to Reproduce:
N/A

Additional info:

Comment 1 Matthew Miller 2005-04-26 16:12:52 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 2 Bill Nottingham 2005-04-26 16:14:43 UTC
This is now handled by HAL and fstab-sync in later releases. As such, updfstab
is unlikely to be modified.


Note You need to log in before you can comment on or make changes to this bug.